/* Cafe theme.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";


/**********************************************************************
 *
 * Very basic (mostly text) items:
 *
 **********************************************************************/


body {
	margin-top: 1%;
	margin-left: 1%;
	margin-right: 1%;
	margin-bottom: 1%;
	background-color: #d3c996;
	color: #000000;
}

a {
	border-bottom: thin dotted #167c3a;
	text-decoration: none;
	color: #086629;
}

a:hover {
	background-color: #9ae2b1;
	text-decoration: none;
	color: #086629;
}

a:active {
	color: #ffffff;
}


.unavailable
{
  font-style: italic;
  color: #515151;
}
.unavailable:hover
{
  font-style: italic;
  color: #d36363;
}
.unavailable:active { color: #553b63; }


h2 {
	font-weight: normal;
	border-bottom: thin solid #e0c080;
	border-right: thin solid #e0c080;
}

h4 {
	font-weight: normal;
	border-bottom: thin solid #e0c080;
	border-right: thin solid #e0c080;
}


.highlight {
	background-color: #ffffff;
}



/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/

.main {
	vertical-align: top;
	background-color: #f2e6ab;
	border-spacing: 0;
	border: 2px solid #086629;
}



/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.menu {
	background-color: transparent;
	color: #086629;
}

.menutitle {
	vertical-align: top;
	border: #f2e6ab;
	font-weight: bold;
	text-align: center;
}

.menuitem {
	vertical-align: top;
	border: 0;
	text-align: left;
}


.topmenu {
	border: none;
}


ul.topmenuitemsubmenu {
	background-color: #fff4c9;
	border: thin solid #086629;
}

ul.topmenuitemsubmenu li {
	background-color: #fff4c9;
	border: solid thin #086629;
	/* no top border, that would be make too large separators
	 while it is perfectly fine to overload the right and bottom with
	the ul border, it makes some kind of light 3d effect*/
	border-top: none;
	border-left: 0.4em solid #086629;
}



/* we cannot keep it in bold, it makes an extra space with some konqueror
  version (RHEL) */
.tabselect { background-color: #fff4c9; text-decoration: none;  color: #000000; /* font-weight: bold; */ }
.tabselect:hover { text-decoration: none; color: #000000; /* font-weight: bold; */ }


/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/

.boxtitle {
	border: 2px solid #086629;
	font-weight: bold;
	text-align: left;
	text-indent: 2em;
	background-color: #d3c996;
	color: #086629;
}

.boxitem {
	text-align: left;
	background-color: transparent;
}

.boxitemalt {
	background-color: #fff4c9;
	text-align: left;
}

.boxoptions {
	background-color: #fff4c9;
}

.boxhighlight {
	background-color: #ffffff;
	text-align: left;
}

/* Forms */
button,input
{
  background-color: #f2e6ab;
  font-weight: bold;
  border: 0;
  border-bottom: thin dashed #167c3a;
  color: #086629;
}

button:hover,input:hover
{
  background-color: #9ae2b1;
  text-decoration: none;
  color: #034418;
}

select {
 background-color: #f2e6ab;
 font-weight: bold;
 border: 0;
 border-bottom: thin dashed #167c3a;
 color: #086629;
}

select:hover { background-color: #9ae2b1; text-decoration: none; color: #034418; }

textarea {
 background-color: #f2e6ab;
 font-weight: bold;
 border: 0;
 border-bottom: thin dashed #167c3a;
 color: #086629;
}

textarea:hover { background-color: #9ae2b1; text-decoration: none; color: #034418;}
